NAME

OpenAPI::Client::OpenAI::Path::skills-skill_id-versions - Documentation for the /skills/{skill_id}/versions path.

OPERATIONS

GET /skills/{skill_id}/versions

ListSkillVersions

$client->list_skill_versions({
    body => { ... },
});

List skill versions for a skill.

Path/query parameters

  • skill_id (in path, required, string) - The identifier of the skill.

  • limit (in query, optional, integer) - Number of versions to retrieve.

  • order (in query, optional, string) - Sort order of results by version number.

  • after (in query, optional, string) - The skill version ID to start after.

Responses

200 - Success

Content-Type: application/json

Example:

{
   "data" : [
      {
         "created_at" : 0,
         "description" : "string",
         "id" : "string",
         "name" : "string",
         "object" : "skill.version",
         "skill_id" : "string",
         "version" : "string"
      }
   ],
   "first_id" : "string",
   "has_more" : false,
   "last_id" : "string",
   "object" : "list"
}

POST /skills/{skill_id}/versions

CreateSkillVersion

$client->create_skill_version({
    body => { ... },
});

Create a new immutable skill version.

Path/query parameters

  • skill_id (in path, required, string) - The identifier of the skill to version.

Responses

200 - Success

Content-Type: application/json

Example:

{
   "created_at" : 0,
   "description" : "string",
   "id" : "string",
   "name" : "string",
   "object" : "skill.version",
   "skill_id" : "string",
   "version" : "string"
}

SCHEMAS

CreateSkillVersionBody

Properties:

  • default (boolean) - Whether to set this version as the default.

  • files (oneOf, required)

SkillVersionListResource

Properties:

  • data (array of SkillVersionResource, required) - A list of items

  • first_id (anyOf, required)

  • has_more (boolean, required) - Whether there are more items available.

  • last_id (anyOf, required)

  • object (string, required) - The type of object returned, must be list .

    Allowed values: list

    Default: list

SkillVersionResource

Properties:

  • created_at (integer, required) - Unix timestamp (seconds) for when the version was created.

  • description (string, required) - Description of the skill version.

  • id (string, required) - Unique identifier for the skill version.

  • name (string, required) - Name of the skill version.

  • object (string, required) - The object type, which is skill.version .

    Allowed values: skill.version

    Default: skill.version

  • skill_id (string, required) - Identifier of the skill for this version.

  • version (string, required) - Version number for this skill.

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.